#include <iostream>
#include <cstdlib>
#include <cstdio>

#include "md2_model.h"

int main( int argc, char ** argv ) {
        for ( int i = 1; i < argc; ++i ) {
                int len = strlen( argv[i] );
                if ( len > 3 && argv[i][ len - 4 ] == '.' )
                        argv[i][ len - 4 ] = 0;
                md2_model_t model( ".", argv[i] );

                if ( ! model.isOk )
                        return 1;

                int rad, height, x, y, z;
                model.getBoundingInfo( 0, &rad, &height, &x, &y, &z );
                printf( " BOUND: %3d %3d %3d %3d %3d\n", rad, height, x, y, z );
        }
        return 0;
}
